InvalidSmilesException
Date: 2019-10-22

org.jmol.smiles

## Class InvalidSmilesException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jmol.smiles.InvalidSmilesException

- All Implemented Interfaces:
    java.io.Serializable

      public class InvalidSmilesException
      extends java.lang.Exception

  Exception thrown for invalid SMILES String
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.lang.String` | `lastError`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidSmilesException(java.lang.String message)` Constructs a `InvalidSmilesException` with a detail message.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clear()`
    `static java.lang.String` | `getLastError()`
    `java.lang.String` | `getMessage()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### lastError

          private static java.lang.String lastError

  - ### Constructor Detail

    - #### InvalidSmilesException

          public InvalidSmilesException(java.lang.String message)

      Constructs a `InvalidSmilesException` with a detail message.
      Parameters:
        `message` - The detail message.

  - ### Method Detail

    - #### getLastError

          public static java.lang.String getLastError()

    - #### clear

          public static void clear()

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`